Last Comment Bug 801644 - Incorrect return result check in nsSmtpProtocol::ProcessProtocolState
: Incorrect return result check in nsSmtpProtocol::ProcessProtocolState
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Networking: SMTP (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: :Irving Reid (No longer working on Firefox)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 07:40 PDT by Mark Banner (:standard8, limited time in Dec)
Modified: 2012-10-29 13:18 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
Port NS_FAILED change from bug 801383 (956 bytes, patch)
2012-10-17 07:14 PDT, :Irving Reid (No longer working on Firefox)
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Mark Banner (:standard8, limited time in Dec) 2012-10-15 07:40:33 PDT
(In reply to Irving Reid (:irving) from bug 801383 comment #17)
> (In reply to neil@parkwaycc.co.uk from bug 801383 comment #15)
> > Comment on attachment 671365 [details] [diff] [review]
> 
> > >-      if (SendQuit(SMTP_ERROR_DONE) < 0)
> > >+      if (NS_FAILED(SendQuit(SMTP_ERROR_DONE)))
> > Eek! Does this need to land on aurora, as it's basically a regression fix
> > from bug 779130? (nsresult is unsigned to the check wasn't working.)
> 
> Good catch; we should back port this - it also overlaps bug 780124.

We need to fix this on aurora.
Comment 1 Mark Banner (:standard8, limited time in Dec) 2012-10-17 04:29:56 PDT
Irving, could you take this for me?
Comment 2 :Irving Reid (No longer working on Firefox) 2012-10-17 07:14:56 PDT
Created attachment 672291 [details] [diff] [review]
Port NS_FAILED change from bug 801383

Back port to comm-aurora
Comment 3 Mark Banner (:standard8, limited time in Dec) 2012-10-22 15:46:40 PDT
Comment on attachment 672291 [details] [diff] [review]
Port NS_FAILED change from bug 801383

Thanks
Comment 4 :Irving Reid (No longer working on Firefox) 2012-10-26 09:01:09 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/7495acba7e7c

Note You need to log in before you can comment on or make changes to this bug.